@charset "utf-8";
/* CSS Document */

/* ---------- */
/*   inputs   */
/* ---------- */

select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;

    padding-right: 2.5rem;

    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='8' viewBox='0 0 12 8'%3E%3Cpath fill='%23666' d='M1 1l5 5 5-5'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 12px center;
    background-size: 12px;
}

input,
textarea,
select {
	border: none;
	outline: none;
	border-bottom: 1px solid var(--input-lighter-color);
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
	padding: 2px;
	text-decoration: none;
	min-width: 50px;
	font-family: "Nunito", sans-serif;
	font-weight: bold;

}

input,
textarea {
	cursor: text;
}

select {
	cursor: default;
}

input:hover,
textarea:hover,
select:hover {
	border-color: var(--input-border-color);
}

input[type=submit] {
	cursor: pointer;
}

input[readonly] {
	background-color: var(--input-lighter-color);
}

.regular-checkbox {
	display: inline-flex;
	align-items: center;
	gap: 5px;
	cursor: default;
	padding: 8px;
	flex: 1;
}

/* hide native checkbox */
.regular-checkbox input {
	display: none;
}

/* custom box */
.regular-checkbox .box {
	width: 25px;
	height: 25px;
	border: 1px solid var(--input-lighter-color);
	border-radius: 3px;
	display: inline-block;
	position: relative;
	transition: all 0.2s ease;
}

/* checked state */
.regular-checkbox input:checked+.box {
	/* box background */
	background-color: var(--checkbox-bg);
}

/* checkmark */
.regular-checkbox input:checked+.box::after {
	content: "";
	position: absolute;
	left: 8px;
	top: 3px;
	width: 8px;
	height: 12px;
	/* checkmark color */
	border: solid var(--input-border-color);
	border-width: 0 2px 2px 0;
	transform: rotate(45deg);

}

/* hover */
.regular-checkbox:hover .box {
	border-color: var(--input-border-color);
}

label {
	font-size: 14px;
	text-decoration: none;
	text-transform: none;
	color: var(--label-color);
}

/* ---------- */
/* containers */
/* ---------- */

.form_container {
	max-width: 100%;
}

.fields_section_container {
	padding: 0px 0px 0px 0px;
	flex: 1 1 auto;
	display: flex;
	flex-flow: row wrap;
	align-items: flex-end;
}


.field_outer_container {
	padding: 0px 0px 2px 0px;
}


.field_inner_container {
	padding: 0px 1px 0px 1px;
	text-decoration: none;
	color: #333;
}

.select-add-option {
	background-color: beige;
}

/*
.field_label_container {
}
*/

.checkbox_container {
	display: flex;
	align-items: center;
	flex-flow: column nowrap;
	justify-content: flex-start;
}


.form_title_container {
	padding: 5px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-flow: row nowrap;
	border-radius: 3px;
	margin-bottom: 10px;
	border-bottom: solid 2px var(--input-border-color);
}

.form_title {
	font-weight: 600;
	display: flex;
	justify-content: flex-start;
	align-items: center;
	flex-flow: row nowrap;
}

.form-icon-title-container {
	color: var(--input-border-color);
}

.form_body_container {
	width: 100%;
	min-width: 50%;
	overflow: auto;
	display: flex;
	flex-flow: column nowrap;
	justify-content: center;
	padding: 15px;
	border: 1px #eee solid;
	margin-bottom: 5px;
}


.login_form {
	border: 1px solid #eee;
	padding: 10px;
	background-color: #fff;
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.1), 0 6px 20px 0 rgba(0, 0, 0, 0.1);
	border-radius: 10px;
}

.check_message {
	font-size: 80%;
	color: red;
	padding: 3px;
	display: none;
}

.file-list {
	font-size: 12px;
}

.drop-zone {
	font-size: 14px;
	width: 100%;
	height: 100px;
	background-color: #eee;
	display: flex;
	justify-content: center;
	align-items: center;
}